package com.qmth.exam.reserve.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.stdapply.StdApplyReq;
import com.qmth.exam.reserve.bean.stdapply.StdApplyVO;
import com.qmth.exam.reserve.dao.StudentApplyDao;
import com.qmth.exam.reserve.entity.StudentApplyEntity;
import com.qmth.exam.reserve.service.StudentApplyService;
import com.qmth.exam.reserve.util.PageUtil;

@Service
public class StudentApplyServiceImp extends ServiceImpl<StudentApplyDao, StudentApplyEntity>
        implements StudentApplyService {

    @Override
    public PageResult<StdApplyVO> page(StdApplyReq req) {
        IPage<StdApplyVO> iPage = this.baseMapper.page(new Page<StdApplyVO>(req.getPageNumber(), req.getPageSize()),
                req);
        return PageUtil.of(iPage);
    }

    public static void main(String[] args) {
        System.out.println(System.currentTimeMillis());
    }

}
